<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml" />

<xsl:template match="/">
    <xsl:apply-templates select="/document/item"/>
</xsl:template>

<xsl:template match="/document/item">
	
	<SCRIPT>
		<xsl:comment>
			<xsl:text disable-output-escaping="yes">
			<![CDATA[
			function ShowImgWindow(title, src, width, height)
			{
				obj = window.open("", "", "scrollbars=0,dialog=0,minimizable=1,modal=1,width="+width+",height="+height+",resizable=0");
				obj.document.write("<html>");
				obj.document.write("<head>");
			
				obj.document.write("<title>"+title+"</title>");
			
				obj.document.write("</head>");
			
				obj.document.write("<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>");
			
				obj.document.write("<img src=\""+src+"\" />");
			
				obj.document.write("</body>");
				obj.document.write("</html>");
			}
			]]>
			</xsl:text>
		</xsl:comment>
	</SCRIPT>
	
	<!-- Получаем ID родительской группы и записываем в переменную $parent_group_id -->
	<xsl:variable name="parent_group_id" select="/document/information_system/parent_group_id"/>
	
	<h1><xsl:value-of disable-output-escaping="yes" select="item_name"/></h1>
	
	<!-- ============= -->
	<!-- Путь к гурппе -->
	<!-- ============= -->
	<xsl:apply-templates select="//group[@id=$parent_group_id]" mode="goup_path"/>

	<!-- Фотогафия к информационному элементу -->
	
	<!-- Проверяем задан ли путь к файлу большого изображения -->
	<xsl:if test="item_image!=''">
		<xsl:variable name="srcpath" select="item_image" />
		<p><img src="/{item_image}" style="padding-right: 10px; padding-bottom: 10px"/></p>
	</xsl:if>
		
	<!-- Текст информационного элемента -->
	<p><xsl:value-of disable-output-escaping="yes" select="item_text"/></p>
	
	<!-- Дата информационного элемента -->
	<p><xsl:value-of disable-output-escaping="yes" select="item_date"/></p>
	
	<!-- Отображение комментариев  -->
	<xsl:if test="count(item_comments/comment) > 0">
		<p class="title">Комментарии</p>
		<p><xsl:apply-templates select="item_comments/comment" /></p>
	</xsl:if>

	<p class="title">Добавить комментарий</p>
	<!--Отображение формы добавления комментария-->
	<form action="{/document/url}" method="post">
		<table border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td>ФИО:&#xA0;</td>
		<td><input type="text" size="50" name="comment_autor" value=""/></td>
		</tr>
		<tr>
		<td>E-mail:&#xA0;</td>
		<td><input type="text" size="50" name="comment_email" value=""/></td>
		</tr>
		<tr>
		<td>Тема:&#xA0;</td>
		<td><input type="text" size="50" name="comment_subject" value=""/></td>
		</tr>
		<tr>
		<td>Комментарий:&#xA0;</td>
		<td><textarea name="comment_text" cols="50" rows="10"></textarea></td>
		</tr>
		<!-- Обработка CAPTCHA -->
		<xsl:if test="//captcha_key != 0">
			<tr>
			<td colspan="2" align="center"><strong>Для отправки комментария введите число, изображенное на картинке</strong></td>
			</tr>
			<tr>
			<td align="center"><img style="border: 1px solid #000000" src="/captcha.php?get_captcha={//captcha_key}" title="Введите число изображённое на картинке"/></td>
			<td>
			<input type="hidden" name="captcha_key" value="{//captcha_key}"/>
			<input type="text" name="captcha_keystring" size="15" />
			</td>
			</tr>
		</xsl:if>    
		<tr>
		<td colspan="2" align="center"><input type="submit" name="add_comment" value="Добавить комментарий"/></td>
		</tr>
		</table>
	</form>

</xsl:template>

<!-- ======================================================== -->
<!-- Шаблон выводит рекурсивно ссылки на группы инф. элемента -->
<!-- ======================================================== -->

<xsl:template match="group" mode="goup_path">
	<xsl:variable name="parent_id" select="@parent_id"/>

	<!-- Выбираем рекурсивно вышестоящую группу -->
	<xsl:apply-templates select="//group[@id=$parent_id]" mode="goup_path" />

	<xsl:if test="@parent_id=0">
		<a href="{/document/information_system/url}"><xsl:value-of disable-output-escaping="yes" select="/document/information_system/name"/></a>
	</xsl:if>

	<img src="/images/arrow_path.gif" class="arrow_path"/>

	<a href="{/document/information_system/url}{fullpath}"><xsl:value-of disable-output-escaping="yes" select="name"/></a>
</xsl:template>

<!-- Отображение комментариев -->
<xsl:template match="item_comments/comment">
    <li>
       <xsl:value-of disable-output-escaping="yes" select="comment_subject"/><br/>Автор:&#xA0;<a href="mailto:{comment_email}"><xsl:value-of disable-output-escaping="yes" select="comment_fio"/></a>&#xA0; · &#xA0;<b><xsl:value-of disable-output-escaping="yes" select="comment_date"/></b><br/>
       <xsl:value-of disable-output-escaping="yes" select="comment_text"/> 
    </li>
</xsl:template>

</xsl:stylesheet>